Bug 10766 - Cataloging reservoir search broken if UseQueryParser is off
Summary: Cataloging reservoir search broken if UseQueryParser is off
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-19 18:18 UTC by Galen Charlton
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10766: unbreak reservoir search when UseQueryParser is OFF (1.84 KB, patch)
2013-08-19 18:26 UTC, Galen Charlton
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10766: unbreak reservoir search when UseQueryParser is OFF (1.94 KB, patch)
2013-08-22 13:23 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 10766: unbreak reservoir search when UseQueryParser is OFF (2.01 KB, patch)
2013-08-25 16:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Galen Charlton 2013-08-19 18:18:52 UTC
Commit 144c7f4e caused a regression on reservoir search.  When UseQueryParser is off, the $query variable is munged to include an index specifier -- for example, "harry" becomes "kw,wrdl,rtrn=harry".  However, BreedingSearch() does not recognize that form of query.

Consequently, when UseQueryParser is off, cataloging search will essentially never turn up any results from the reservoir.
Comment 1 Galen Charlton 2013-08-19 18:26:47 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-08-22 13:23:43 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-08-25 16:38:11 UTC
Created attachment 20589 [details] [review]
[PASSED QA] Bug 10766: unbreak reservoir search when UseQueryParser is OFF

To test:

[1] Turn UseQueryParser off.
[2] Ensure that your database has records in the reservoir.  Performing
    a Z39.50 search will do this.
[3] Perform a broad cataloging (i.e., cataloguing/addbooks.pl search).
    Note that results are returned from the main catalog but that no
    reservoir results are returned.
[4] Apply the patch.
[5] Perform the search again.  This time, there should be both catalog
    and reservoir results.
[7] Enable QueryParser.  Perform the search again, and verify that the
    catalog and reservoir results are the same.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Patch works nicely, passes all tests, and the QA script.
Comment 4 Galen Charlton 2013-08-25 17:17:03 UTC
Pushed to master.